%define upstream_name    CPAN-ReleaseHistory
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Release iterator for CPAN::ReleaseHistory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Role::CachedURL) >= 0.60.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Table::Tiny) >= 1.0.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides an iterator that can be used to look at every file
that has ever been released to CPAN, regardless of whether it is still on
CPAN.

The BackPAN index used was changed in release 0.10, which resulted in the
caching mechanism changing, so you should make sure you have at least
version 0.10, as shown in the SYNOPSIS above.

The '$release' returned by the 'next_release()' method on the iterator is
an instance of the CPAN::ReleaseHistory::Release manpage. It has five
methods:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/cpan-*

%changelog
* Mon Aug 10 2020 tv <tv> 0.160.0-1.mga8
+ Revision: 1612614
- update to 0.16

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-3.mga8
+ Revision: 1503492
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.150.0-2.mga7
+ Revision: 1281871
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 0.150.0-1.mga7
+ Revision: 1133241
- update to 0.15

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-3.mga6
+ Revision: 1024492
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 966182
- Mageia 6 Mass Rebuild

* Mon Mar 02 2015 shlomif <shlomif> 0.120.0-1.mga6
+ Revision: 817310
- imported package perl-CPAN-ReleaseHistory

